# Track & Graph
<!-- ALL-CONTRIBUTORS-BADGE:START - Do not remove or modify this section -->
[![All Contributors](https://img.shields.io/badge/all_contributors-16-orange.svg?style=flat-square)](#contributors-)
<!-- ALL-CONTRIBUTORS-BADGE:END -->
An android app for tracking personal data and creating custom graphs

<p align="center">
	<a href='https://play.google.com/store/apps/details?id=com.samco.trackandgraph'>
		<img alt='Get it on Google Play' src='https://play.google.com/intl/en_gb/badges/static/images/badges/en_badge_web_generic.png' height="100px" />
	</a>
	<a href='https://f-droid.org/packages/com.samco.trackandgraph/'>
		<img alt='Get it on F-Droid' src='https://fdroid.gitlab.io/artwork/badge/get-it-on.png' height="100px" />
	</a>
</p>

# Screenshots
<p align="center">
	<img src="./fastlane/metadata/android/en-GB/images/phoneScreenshots/1_en-GB.jpg" width="200px" />
	<img src="./fastlane/metadata/android/en-GB/images/phoneScreenshots/2_en-GB.jpg" width="200px" />
	<img src="./fastlane/metadata/android/en-GB/images/phoneScreenshots/3_en-GB.jpg" width="200px" />
	<img src="./fastlane/metadata/android/en-GB/images/phoneScreenshots/4_en-GB.jpg" width="200px" />
	<img src="./fastlane/metadata/android/en-GB/images/phoneScreenshots/5_en-GB.jpg" width="200px" />
	<img src="./fastlane/metadata/android/en-GB/images/phoneScreenshots/6_en-GB.jpg" width="200px" />
	<img src="./fastlane/metadata/android/en-GB/images/phoneScreenshots/7_en-GB.jpg" width="200px" />
</p>

# Privacy Policy
This app does not record any of your personal information, anything you track or anything you do in the app. Nothing is recorded or stored anywhere online by this app or any third party library used by this app. You can however easily backup your data at any time to your own device or cloud storage service from within the app.

# Contributing
Small contributions are welcome but I would prefer if you could raise an issue first to discuss the changes you would like to make. 

Please be aware my time to work on this project is limited so I may not be able to respond to your issue or pull request immediately.

Please be aware I have no intention of supporting other languages at this time. Even if you have translated all the current copy, supporting multiple languages adds significant overhead to developing and maintaining the project going forwards.

# License
    Copyright (C) 2019-2020 SamAmco <samuel.amco@gmail.com>
    
    Track & Graph is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by the
    Free Software Foundation, either version 3 of the License, or (at your
    option) any later version.
    
    Track & Graph is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.
    
    You should have received a copy of the GNU General Public License along
    with this program. If not, see <http://www.gnu.org/licenses/>.

## Contributors ✨

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tbody>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/pizzapim"><img src="https://avatars3.githubusercontent.com/u/23135512?v=4?s=100" width="100px;" alt="pizzapim"/><br /><sub><b>pizzapim</b></sub></a><br /><a href="https://github.com/SamAmco/track-and-graph/commits?author=pizzapim" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/Poussinou"><img src="https://avatars2.githubusercontent.com/u/19646549?v=4?s=100" width="100px;" alt="Poussinou"/><br /><sub><b>Poussinou</b></sub></a><br /><a href="https://github.com/SamAmco/track-and-graph/commits?author=Poussinou" title="Documentation">📖</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/xerus2000"><img src="https://avatars3.githubusercontent.com/u/13354331?v=4?s=100" width="100px;" alt="Janek"/><br /><sub><b>Janek</b></sub></a><br /><a href="#ideas-xerus2000" title="Ideas, Planning, & Feedback">🤔</a> <a href="https://github.com/SamAmco/track-and-graph/issues?q=author%3Axerus2000" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://android.izzysoft.de/"><img src="https://avatars3.githubusercontent.com/u/6781438?v=4?s=100" width="100px;" alt="Izzy"/><br /><sub><b>Izzy</b></sub></a><br /><a href="#infra-IzzySoft" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/hhpmmd"><img src="https://avatars0.githubusercontent.com/u/77058867?v=4?s=100" width="100px;" alt="hhpmmd"/><br /><sub><b>hhpmmd</b></sub></a><br /><a href="https://github.com/SamAmco/track-and-graph/commits?author=hhpmmd" title="Code">💻</a> <a href="https://github.com/SamAmco/track-and-graph/issues?q=author%3Ahhpmmd" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/Kozonak"><img src="https://avatars.githubusercontent.com/u/3283978?v=4?s=100" width="100px;" alt="Kozonak"/><br /><sub><b>Kozonak</b></sub></a><br /><a href="https://github.com/SamAmco/track-and-graph/issues?q=author%3AKozonak" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/tifriis208"><img src="https://avatars.githubusercontent.com/u/40381365?v=4?s=100" width="100px;" alt="Tifriis"/><br /><sub><b>Tifriis</b></sub></a><br /><a href="#translation-tifriis208" title="Translation">🌍</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="http://sguinetti.gitlab.io"><img src="https://avatars.githubusercontent.com/u/5572928?v=4?s=100" width="100px;" alt="Diego"/><br /><sub><b>Diego</b></sub></a><br /><a href="#translation-sguinetti" title="Translation">🌍</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/stheid"><img src="https://avatars.githubusercontent.com/u/2736207?v=4?s=100" width="100px;" alt="Stefan Heid"/><br /><sub><b>Stefan Heid</b></sub></a><br /><a href="https://github.com/SamAmco/track-and-graph/commits?author=stheid" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/Pada0"><img src="https://avatars.githubusercontent.com/u/73777780?v=4?s=100" width="100px;" alt="Pada0"/><br /><sub><b>Pada0</b></sub></a><br /><a href="#translation-Pada0" title="Translation">🌍</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/yuhuitech"><img src="https://avatars.githubusercontent.com/u/25502419?v=4?s=100" width="100px;" alt="Yuhui Su"/><br /><sub><b>Yuhui Su</b></sub></a><br /><a href="https://github.com/SamAmco/track-and-graph/commits?author=yuhuitech" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/steel-steven-87"><img src="https://avatars.githubusercontent.com/u/89798696?v=4?s=100" width="100px;" alt="steel-steven-87"/><br /><sub><b>steel-steven-87</b></sub></a><br /><a href="https://github.com/SamAmco/track-and-graph/issues?q=author%3Asteel-steven-87" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/stfnw"><img src="https://avatars.githubusercontent.com/u/28357058?v=4?s=100" width="100px;" alt="Stefan Walter"/><br /><sub><b>Stefan Walter</b></sub></a><br /><a href="#translation-stfnw" title="Translation">🌍</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/PropellantDyke"><img src="https://avatars.githubusercontent.com/u/118541570?v=4?s=100" width="100px;" alt="PropellantDyke"/><br /><sub><b>PropellantDyke</b></sub></a><br /><a href="https://github.com/SamAmco/track-and-graph/commits?author=PropellantDyke" title="Code">💻</a> <a href="#design-PropellantDyke" title="Design">🎨</a> <a href="#translation-PropellantDyke" title="Translation">🌍</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://git.dece.space/dece"><img src="https://avatars.githubusercontent.com/u/6729523?v=4?s=100" width="100px;" alt="Adrien Abraham"/><br /><sub><b>Adrien Abraham</b></sub></a><br /><a href="#translation-dece" title="Translation">🌍</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/ballinger"><img src="https://avatars.githubusercontent.com/u/1741638?v=4?s=100" width="100px;" alt="ballinger"/><br /><sub><b>ballinger</b></sub></a><br /><a href="https://github.com/SamAmco/track-and-graph/issues?q=author%3Aballinger" title="Bug reports">🐛</a></td>
    </tr>
  </tbody>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification.

# Donate crypto to the creator

<center>

| <img src="./image-assets/bitcoin.jpeg" width="180px" /> | <img src="./image-assets/ethereum.jpeg" width="180px" /> |
|:--:|:--:|
| bc1q3a74v98lklzqsgrennlveujfwgluusld7hqsvu | 0xf2bae4971f67dfb49a2a4a08449980657abfb965 |
| <img src="./image-assets/bitcoin-cash.jpeg" width="180px" /> | <img src="./image-assets/litecoin.jpeg" width="180px" /> |
| qr266rwh2t4jajlvekudn89vlh6nd6u4wsj3ngv45m | ltc1q0ayy9ctvnnk7wyqgmh80ujq6wry3saz9a00d28 |

</center>
